function [Hodnoty,Doplnky,XX] = TabulkaHodnot (pp)
%Hodnoty ... matice 9xpp prvních 9 harmonických složek
%Doplnky ... matice 6xpp dBSPL, SpC, SpRO, Jasnost, Ostrost, Tonalita
%% Výpočet
Hodnoty=zeros(9,pp);
RO_vektor=zeros(1,pp);
SpC_vektor=zeros(1,pp);
sharp=zeros(1,pp);
T=zeros(1,pp);
BR=zeros(1,pp);
dBSPL=zeros(1,pp);
c=0.95;
Mod=0;

[kalibrace,cesta] = uigetfile('*.wav');
[z1,~]=audioread(fullfile(cesta,kalibrace));
z1=z1(:,1);
figure(1)
for p = 1 : pp
    %% Vyšší harmonické
    [horna,cesta] = uigetfile('*.wav');
    [x,fvz]=audioread(fullfile(cesta,horna));
    x=x(:,1);
    XX(p,:)=x;
    y(p,:)=x;
    yy=x;
    [peaky,~]=FFThodnoty(x,fvz);
    peaky=peaky(1:9); %Výběr fundamentu a 8 vyšších harm. složek
    peaky=peaky-peaky(1); %Normalizace úrovní vzhledem k fundamentu
    Hodnoty(:,p)=peaky;
    
    %% SpC, SpRO
    ls=length(x); 
    x=x.*hanning(ls); 
    X=abs(fft(x))/ls;
    X=X(1:floor(ls/2));
    X(1:end)=2*X(1:end); 
    f=(0:(length(X)-1))*fvz/ls;
    SpC=sum(X'.*f)/sum(X);
    SpC_vektor(p)=SpC;
    totalE = sum(X);
    aktE = 0.0;
    RO = 1;
    while (aktE<=c*totalE)
        aktE = aktE + X(RO);
        RO = RO + 1;
    end
    RO_vektor(p)=RO;
    
    %% Jasnost
    [~,pozice]=FFThodnoty(yy,fvz);
    a=pozice<12000;
    A=round(pozice(a)*(ls/fvz));
    B=1:1:length(A);
    B=B';
    BR(p)=(sum(X(A).*B))/(sum(X(A))); %BR(p)=(sum(X(A).*B))/(X(A(1))+(sum(X(A))));
    
    
    %% Ostrost
    X=rms(x);
    Z=rms(z1);
    log = 10^(94/20);  
    pomer = (X/Z)*log; 
    DB = 20*log10(pomer);
    dBSPL(p)=DB;
    [~,N_single] = loudness_1991(x, DB, fvz, Mod);
    sharp(p) = sharpness_Fastl(N_single);
        
    %% Tonalita
    pxx=periodogram(x);
    num=geomean(pxx);
    den=mean(pxx);
    sfm=num/den;
    SFMdb=10*log10(sfm);
    T(p)=(SFMdb/-70)*100;
    
    
    subplot(6,1,p)
    plot(y(p,:))
    hold on
end
    hold off
Doplnky(1,:)=dBSPL;
Doplnky(2,:)=BR;
Doplnky(3,:)=sharp;
Doplnky(4,:)=T;
end

